Update Connection
curl --request PUT \
--url https://api.example.com/api/v1/connections/{connection_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "<string>",
"config": {}
}
'import requests
url = "https://api.example.com/api/v1/connections/{connection_id}"
payload = {
"label": "<string>",
"config": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({label: '<string>', config: {}})
};
fetch('https://api.example.com/api/v1/connections/{connection_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"integration": "<string>",
"integration_type": "connectors",
"id": "<string>",
"credential_id": "<string>",
"user_id": "<string>",
"workspace_id": "<string>",
"created_by": "<string>",
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"label": "<string>",
"config": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Connections
Update Connection
Update a connection.
PUT
/
api
/
v1
/
connections
/
{connection_id}
Update Connection
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The workspace ID
Path Parameters
Body
application/json
Response
Successful Response
Schema for reading connection data.
Integration name (slack, github, etc.)
Type of integration (connectors, mcp, tool, model, storage, api, custom)
Available options:
connectors, mcp, tool, model, custom, storage, api Available options:
active, inactive, testing, error, expired Human-readable label for the connection
Maximum string length:
255Integration-specific configuration